Delete price book item
curl --request DELETE \
--url https://api.hubapi.com/commerce/price-books/2026-09-beta/price-books/{priceBookId}/items/{priceBookItemId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/price-books/2026-09-beta/price-books/{priceBookId}/items/{priceBookItemId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/price-books/2026-09-beta/price-books/{priceBookId}/items/{priceBookItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Items
Delete a price book item
Remove a specific item from a price book in your HubSpot account. This operation is irreversible and will permanently delete the item identified by the given priceBookItemId from the price book specified by priceBookId.
DELETE
/
commerce
/
price-books
/
2026-09-beta
/
price-books
/
{priceBookId}
/
items
/
{priceBookItemId}
Delete price book item
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the price book from which the item will be deleted.
The unique identifier of the item to be deleted from the price book.
Response
Last modified on July 20, 2026
Was this page helpful?
⌘I